#ifndef COMPANIES_H

#define COMPANIES_H

typedef struct stock_company_s stock_company_t;
typedef struct company_s company_t;

cid_t max_companies;
cid_t max_groups;
int16_t max_simult_quot;
int16_t last_quot;
int16_t max_history;
int tolerance;

struct stock_company_s { 
   plid_t plid;   /* player's id */
   pr_t pr;       /* the price requested */
   qty_t qty;     /* the quantity */
};

struct company_s {
   cid_t cid;       /* index no. of the stock */
   grid_t gid;      /* group index no. of the stock */
   
   char *name;                      /* name of the company */
   char *index;                     /* short form for the company */
   char *comment;                   /* some comment about the company */
   
   stock_company_t **buy;  /* list of buy requests */
   stock_company_t **sell; /* list of sell orders */
   
   pr_t *trade_history;        /* history of trades */
   int last_trade; /* points to the last trade in trade_history[] */
   
   int dividend;
};

company_t *company;


#endif  /* COMPANIES_H */
